#include <bits/stdc++.h>
using namespace std;

bool smaller(int x);

int find_number(int MAX) {
    int l = 1, r = MAX;
    while (l < r) {
        int m = (l + r) / 2;
        if (smaller(m + 1)) {
            r = m;
        } else {
            l = m + 1;
        }
    }
    return l;
}